identify(1)

NAME
identify - Identify a certificate

SYNOPSIS
identify [-h|--help] <FINGERPRINT|KEYID>

DESCRIPTION
Identify a certificate.

Identify a certificate by finding authenticated bindings (User ID and certificate pairs).

If a binding could be authenticated to the specified level (by default: fully authenticated, i.e., a trust amount of 120), then the exit status is 0. Otherwise the exit status is 1.

If a binding could be partially authenticated (i.e., its trust amount is greater than 0), then the binding is displayed, even if the trust is below the specified threshold.

OPTIONS

-h, --help
    Print help (see a summary with '-h')

<FINGERPRINT|KEYID>
    The fingerprint or Key ID of the certificate to authenticate

EXTRA
EXAMPLES:

  # Identify a certificate.
  $ sq-wot --keyring keyring.pgp \
      --partial \
      --trust-root 8F17777118A33DDA9BA48E62AACB3243630052D9 \
    identify \
      C7B1406CD2F612E9CE2136156F2DA183236153AE

  # The same as above, but output in DOT format and convert it to
  # an SVG using Graphviz's DOT compiler.
  $ sq-wot --format dot \
      --keyring keyring.pgp \
      --partial \
      --trust-root 8F17777118A33DDA9BA48E62AACB3243630052D9 \
    identify \
      C7B1406CD2F612E9CE2136156F2DA183236153AE \
    | dot -Tsvg -o C7B1406CD2F612E9CE2136156F2DA183236153AE.svg